// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace Circ.Frontend.GtkSharp {
    
    
    public partial class ChannelTabLabel {
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label chanName;
        
        private Gtk.Label message;
        
        private Gtk.Label hls;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize();
            // Widget Circ.Frontend.GtkSharp.ChannelTabLabel
            Stetic.BinContainer.Attach(this);
            this.Name = "Circ.Frontend.GtkSharp.ChannelTabLabel";
            // Container child Circ.Frontend.GtkSharp.ChannelTabLabel.Gtk.Container+ContainerChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 4;
            // Container child hbox1.Gtk.Box+BoxChild
            this.chanName = new Gtk.Label();
            this.chanName.Name = "chanName";
            this.chanName.Xpad = 9;
            this.chanName.LabelProp = Mono.Unix.Catalog.GetString("label1");
            this.chanName.UseMarkup = true;
            this.hbox1.Add(this.chanName);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.hbox1[this.chanName]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.message = new Gtk.Label();
            this.message.Name = "message";
            this.message.LabelProp = Mono.Unix.Catalog.GetString("label2");
            this.message.UseMarkup = true;
            this.hbox1.Add(this.message);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.hbox1[this.message]));
            w2.Position = 1;
            w2.Expand = false;
            w2.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.hls = new Gtk.Label();
            this.hls.Name = "hls";
            this.hls.LabelProp = Mono.Unix.Catalog.GetString("<span color=\"red\">label3</span>");
            this.hls.UseMarkup = true;
            this.hbox1.Add(this.hls);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.hbox1[this.hls]));
            w3.Position = 2;
            w3.Expand = false;
            w3.Fill = false;
            this.Add(this.hbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
        }
    }
}
